Chris
Cheney
ccheney@debian.org
7 Mars 2003
dcop
1

# `dcop`

Client &DCOP; pour console

    dcop --pipe --user  user --all-users --session  session --all-sessions --list-sessions --no-user-time  application  object  function arguments

## Description

Client &DCOP; pour console

## Options

`--pipe`

  Appelle &DCOP; pour chaque ligne lue depuis l'entrée standard (stdin)

  Ceci est à peu près équivalent à appeler `while read line ; do dcop $line ; done`, mais comme aucune nouvelle instance de `dcop` ne doit être démarrée pour chaque ligne, c'est généralement plus rapide, tout particulièrement pour les lents linkers dynamiques GNU.

`--user` utilisateur

  Se connecte au serveur &DCOP; de l'utilisateur donné. Cette option ignorera les valeurs des variables d'environnement $`DCOPSERVER` et $`ICEAUTHORITY`, même si elles sont positionnées.

  Si l'utilisateur a ouvert plusieurs sessions, vous devez également utiliser une des options en ligne de commande `--list-sessions`, `--session` ou `--all-sessions`.

`--all-users`

  Envoie le même appel &DCOP; à tous les utilisateurs ayant un serveur &DCOP;. Seuls les appels défaillants à des serveurs &DCOP; existants généreront un message d'erreur. Si aucun serveur &DCOP; n'est disponible, aucune erreur ne sera générée.

`--session` session

  Envoie à la session &kde; donnée. Cette option ne peut être utilisée qu'en combinaison avec l'option `--user`.

`--all-sessions`

  Envoie à toutes les sessions trouvées. Ne fonctionne qu'avec les options `--user` et `--all-user`.

`--list-sessions`

  Liste toutes les sessions &kde; actives pour un utilisateur ou tous les utilisateurs.

`--no-user-time`

  Ne met pas à jour les estampilles temporelles de l'activité de l'utilisateur dans l'application appelée (pour utiliser dans des scripts fonctionnant en tâche de fond).

## Environnement

`DCOPSERVER`

`ICEAUTHORITY`

## Voir également

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Dans &kde;, vous pouvez saisir `help:/kdcop` dans &konqueror; pour consulter le manuel de l'utilisateur pour l'outil graphique dcop kdcop.